Java is required to have access to the interactive map